Bug 241712 - Cannot select filetype icon with long name
Summary: Cannot select filetype icon with long name
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_filetypes (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-14 11:46 UTC by Dark Daskin
Modified: 2011-08-06 22:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dark Daskin 2010-06-14 11:46:20 UTC
Version:           unspecified (using KDE 4.4.2) 
OS:                Linux

It seems that mimetype-icon assotiation has string length limitation. For example:
application/vnd.ms-excel -> application-vnd.ms-excel.png - works;
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet -> x-office-spreadsheet.png -> works;
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet -> application-vnd.ms-excel.png - "?" icon instead of selected.

Reproducible: Always

Steps to Reproduce:
1. Open "File associations";
2. Select "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" file type;
3. Click icon selection button;
4. Select icon "application-vnd.ms-excel";
5. Click OK.

Actual Results:  
Questin mark icon is displayed as associated icon.

Expected Results:  
Display icon that has been chosen.

OS: Linux (i686) release 2.6.32-22-generic Kubuntu 10.04
Compiler: cc
Comment 1 Burkhard Lück 2011-04-12 22:52:30 UTC
Confirmed using kubuntu 10.10 (kde 4.6.2) and recent trunk compiled from sources.
Comment 2 Christoph Feck 2011-07-22 18:44:44 UTC
Git commit 3b64278714db6f29aec6ec90466dec859a540dfe by Christoph Feck.
Committed on 22/07/2011 at 20:43.
Pushed by cfeck into branch 'master'.

Fix returning icon names containing dots

FIXED-IN: 4.8.0
BUG: 241712

M  +1    -1    kio/kfile/kicondialog.cpp

http://commits.kde.org/kdelibs/3b64278714db6f29aec6ec90466dec859a540dfe
Comment 3 David Faure 2011-08-06 22:54:42 UTC
Git commit 15858cef7004246a0c6028181f8af5100ab95485 by David Faure, on behalf of Christoph Feck.
Committed on 22/07/2011 at 20:43.
Pushed by dfaure into branch 'KDE/4.7'.

Fix returning icon names containing dots

FIXED-IN: 4.8.0
BUG: 241712

M  +1    -1    kio/kfile/kicondialog.cpp

http://commits.kde.org/kdelibs/15858cef7004246a0c6028181f8af5100ab95485